Mobile widgets
Create a new mobile widget
Creates a new mobile widget for the company.
POST
/
api
/
company
/
mobile_widgets
Create a new mobile widget
curl --request POST \
--url https://api.fluid.app/api/company/mobile_widgets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"mobile_widget": {
"name": "Paper Sales Leaderboard",
"embed_url": "https://widgets.piedpiper.com/dunder-mifflin/leaderboard",
"height": 420,
"cover_image_url": "https://cdn.fluid.app/dunder-mifflin/widgets/leaderboard-cover.png",
"page_scope": {
"home": true,
"explore": false
},
"scrollable": true
}
}
'import requests
url = "https://api.fluid.app/api/company/mobile_widgets"
payload = { "mobile_widget": {
"name": "Paper Sales Leaderboard",
"embed_url": "https://widgets.piedpiper.com/dunder-mifflin/leaderboard",
"height": 420,
"cover_image_url": "https://cdn.fluid.app/dunder-mifflin/widgets/leaderboard-cover.png",
"page_scope": {
"home": True,
"explore": False
},
"scrollable": True
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
mobile_widget: {
name: 'Paper Sales Leaderboard',
embed_url: 'https://widgets.piedpiper.com/dunder-mifflin/leaderboard',
height: 420,
cover_image_url: 'https://cdn.fluid.app/dunder-mifflin/widgets/leaderboard-cover.png',
page_scope: {home: true, explore: false},
scrollable: true
}
})
};
fetch('https://api.fluid.app/api/company/mobile_widgets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/company/mobile_widgets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'mobile_widget' => [
'name' => 'Paper Sales Leaderboard',
'embed_url' => 'https://widgets.piedpiper.com/dunder-mifflin/leaderboard',
'height' => 420,
'cover_image_url' => 'https://cdn.fluid.app/dunder-mifflin/widgets/leaderboard-cover.png',
'page_scope' => [
'home' => true,
'explore' => false
],
'scrollable' => true
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/company/mobile_widgets"
payload := strings.NewReader("{\n \"mobile_widget\": {\n \"name\": \"Paper Sales Leaderboard\",\n \"embed_url\": \"https://widgets.piedpiper.com/dunder-mifflin/leaderboard\",\n \"height\": 420,\n \"cover_image_url\": \"https://cdn.fluid.app/dunder-mifflin/widgets/leaderboard-cover.png\",\n \"page_scope\": {\n \"home\": true,\n \"explore\": false\n },\n \"scrollable\": true\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fluid.app/api/company/mobile_widgets")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"mobile_widget\": {\n \"name\": \"Paper Sales Leaderboard\",\n \"embed_url\": \"https://widgets.piedpiper.com/dunder-mifflin/leaderboard\",\n \"height\": 420,\n \"cover_image_url\": \"https://cdn.fluid.app/dunder-mifflin/widgets/leaderboard-cover.png\",\n \"page_scope\": {\n \"home\": true,\n \"explore\": false\n },\n \"scrollable\": true\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/company/mobile_widgets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"mobile_widget\": {\n \"name\": \"Paper Sales Leaderboard\",\n \"embed_url\": \"https://widgets.piedpiper.com/dunder-mifflin/leaderboard\",\n \"height\": 420,\n \"cover_image_url\": \"https://cdn.fluid.app/dunder-mifflin/widgets/leaderboard-cover.png\",\n \"page_scope\": {\n \"home\": true,\n \"explore\": false\n },\n \"scrollable\": true\n }\n}"
response = http.request(request)
puts response.read_body{
"mobile_widget": {
"id": 2741,
"company_id": 1405,
"name": "Paper Sales Leaderboard",
"embed_url": "https://widgets.piedpiper.com/dunder-mifflin/leaderboard",
"height": 420,
"cover_image_url": "https://cdn.fluid.app/dunder-mifflin/widgets/leaderboard-cover.png",
"page_scope": {
"home": true,
"explore": false
},
"droplet_installation_id": 318,
"scrollable": true
},
"meta": {
"request_id": "8f3c2a71-5d4e-4b9a-9c61-2e7f0d4b8a15",
"timestamp": "2026-09-18T14:32:07Z"
}
}{
"message": "<string>"
}⌘I
Create a new mobile widget
curl --request POST \
--url https://api.fluid.app/api/company/mobile_widgets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"mobile_widget": {
"name": "Paper Sales Leaderboard",
"embed_url": "https://widgets.piedpiper.com/dunder-mifflin/leaderboard",
"height": 420,
"cover_image_url": "https://cdn.fluid.app/dunder-mifflin/widgets/leaderboard-cover.png",
"page_scope": {
"home": true,
"explore": false
},
"scrollable": true
}
}
'import requests
url = "https://api.fluid.app/api/company/mobile_widgets"
payload = { "mobile_widget": {
"name": "Paper Sales Leaderboard",
"embed_url": "https://widgets.piedpiper.com/dunder-mifflin/leaderboard",
"height": 420,
"cover_image_url": "https://cdn.fluid.app/dunder-mifflin/widgets/leaderboard-cover.png",
"page_scope": {
"home": True,
"explore": False
},
"scrollable": True
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
mobile_widget: {
name: 'Paper Sales Leaderboard',
embed_url: 'https://widgets.piedpiper.com/dunder-mifflin/leaderboard',
height: 420,
cover_image_url: 'https://cdn.fluid.app/dunder-mifflin/widgets/leaderboard-cover.png',
page_scope: {home: true, explore: false},
scrollable: true
}
})
};
fetch('https://api.fluid.app/api/company/mobile_widgets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/company/mobile_widgets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'mobile_widget' => [
'name' => 'Paper Sales Leaderboard',
'embed_url' => 'https://widgets.piedpiper.com/dunder-mifflin/leaderboard',
'height' => 420,
'cover_image_url' => 'https://cdn.fluid.app/dunder-mifflin/widgets/leaderboard-cover.png',
'page_scope' => [
'home' => true,
'explore' => false
],
'scrollable' => true
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/company/mobile_widgets"
payload := strings.NewReader("{\n \"mobile_widget\": {\n \"name\": \"Paper Sales Leaderboard\",\n \"embed_url\": \"https://widgets.piedpiper.com/dunder-mifflin/leaderboard\",\n \"height\": 420,\n \"cover_image_url\": \"https://cdn.fluid.app/dunder-mifflin/widgets/leaderboard-cover.png\",\n \"page_scope\": {\n \"home\": true,\n \"explore\": false\n },\n \"scrollable\": true\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fluid.app/api/company/mobile_widgets")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"mobile_widget\": {\n \"name\": \"Paper Sales Leaderboard\",\n \"embed_url\": \"https://widgets.piedpiper.com/dunder-mifflin/leaderboard\",\n \"height\": 420,\n \"cover_image_url\": \"https://cdn.fluid.app/dunder-mifflin/widgets/leaderboard-cover.png\",\n \"page_scope\": {\n \"home\": true,\n \"explore\": false\n },\n \"scrollable\": true\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/company/mobile_widgets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"mobile_widget\": {\n \"name\": \"Paper Sales Leaderboard\",\n \"embed_url\": \"https://widgets.piedpiper.com/dunder-mifflin/leaderboard\",\n \"height\": 420,\n \"cover_image_url\": \"https://cdn.fluid.app/dunder-mifflin/widgets/leaderboard-cover.png\",\n \"page_scope\": {\n \"home\": true,\n \"explore\": false\n },\n \"scrollable\": true\n }\n}"
response = http.request(request)
puts response.read_body{
"mobile_widget": {
"id": 2741,
"company_id": 1405,
"name": "Paper Sales Leaderboard",
"embed_url": "https://widgets.piedpiper.com/dunder-mifflin/leaderboard",
"height": 420,
"cover_image_url": "https://cdn.fluid.app/dunder-mifflin/widgets/leaderboard-cover.png",
"page_scope": {
"home": true,
"explore": false
},
"droplet_installation_id": 318,
"scrollable": true
},
"meta": {
"request_id": "8f3c2a71-5d4e-4b9a-9c61-2e7f0d4b8a15",
"timestamp": "2026-09-18T14:32:07Z"
}
}{
"message": "<string>"
}